cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sylvain Lebresne (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-9451) Startup message response for unsupported protocol versions is incorrect
Date Wed, 14 Oct 2015 15:01:05 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-9451?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14957051#comment-14957051
] 

Sylvain Lebresne commented on CASSANDRA-9451:
---------------------------------------------

My understanding of [~zstlaw] example is that he is using cqlsh 5.0.1 to connect to both 2.1.9
and 2.2.1, but while the former works, the latter triggers an error. Not sure to which version
of Cassandra cqlsh 5.0.1 corresponds to, so we should check and try to reproduce. But if we
cannot reproduce easily, let's close this ticket (since it has been committed) and open a
separate ticket with more clear reproduction steps.

> Startup message response for unsupported protocol versions is incorrect
> -----------------------------------------------------------------------
>
>                 Key: CASSANDRA-9451
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-9451
>             Project: Cassandra
>          Issue Type: Bug
>         Environment: OS X 10.9
> Cassandra 2.1.5 
>            Reporter: Jorge Bay
>            Assignee: Stefania
>              Labels: client-impacting
>             Fix For: 2.1.6, 2.2.0 rc1
>
>         Attachments: 9451.txt
>
>
> The response to a STARTUP request with protocol v4 on a C* 2.1 host is an error with
an incorrect error code (0). 
> Instead of the error code being "Protocol error" ({{0x000A}}) it has error code 0 and
message (wrapped by netty): 
> {{"io.netty.handler.codec.DecoderException: org.apache.cassandra.transport.ProtocolException:
Invalid or unsupported protocol version: 4"}}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message